对话补全
curl --request POST \
--url https://www.anyfast.ai/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "doubao-seed-evolving",
"messages": [
{
"role": "user",
"content": "你好!"
}
],
"thinking": {
"type": "enabled"
},
"reasoning_effort": "high",
"max_tokens": 65536,
"temperature": 1,
"top_p": 1,
"stream": false,
"tools": [
{}
],
"response_format": {
"type": "text"
},
"stop": "<string>"
}
'import requests
url = "https://www.anyfast.ai/v1/chat/completions"
payload = {
"model": "doubao-seed-evolving",
"messages": [
{
"role": "user",
"content": "你好!"
}
],
"thinking": { "type": "enabled" },
"reasoning_effort": "high",
"max_tokens": 65536,
"temperature": 1,
"top_p": 1,
"stream": False,
"tools": [{}],
"response_format": { "type": "text" },
"stop": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'doubao-seed-evolving',
messages: [{role: 'user', content: '你好!'}],
thinking: {type: 'enabled'},
reasoning_effort: 'high',
max_tokens: 65536,
temperature: 1,
top_p: 1,
stream: false,
tools: [{}],
response_format: {type: 'text'},
stop: '<string>'
})
};
fetch('https://www.anyfast.ai/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "chatcmpl-abc123",
"object": "chat.completion",
"created": 123,
"model": "doubao-seed-evolving",
"choices": [
{
"index": 123,
"message": {
"role": "assistant",
"content": "你好!有什么我可以帮助你的吗?",
"reasoning_content": "<string>"
}
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"prompt_tokens_details": {
"cached_tokens": 123
},
"total_tokens": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}ByteDance
doubao-seed-evolving
根据对话内容生成模型响应。始终路由到最新的 Seed 模型(当前为 Doubao-Seed-2.1-Pro)。暂不支持批量推理。
POST
/
v1
/
chat
/
completions
对话补全
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
模型 ID
可用选项:
doubao-seed-evolving 示例:
"doubao-seed-evolving"
对话消息列表。
Minimum array length:
1Show child attributes
Show child attributes
示例:
[{ "role": "user", "content": "你好!" }]
控制深度思考。Doubao-Seed-2.1 默认开启。
Show child attributes
Show child attributes
控制思考长度,仅在思考开启时生效。
可用选项:
minimal, low, medium, high 最大生成 Token 数(最高 256K)。
必填范围:
1 <= x <= 262144采样温度,值越高输出越随机。
必填范围:
0 <= x <= 2示例:
1
核采样阈值。
必填范围:
0 <= x <= 1为 true 时通过 SSE 流式返回结果。
模型可调用的工具(函数)列表。
输出格式。使用 { "type": "json_object" } 输出结构化 JSON(beta)。
Show child attributes
Show child attributes
触发停止生成的序列。
此页面对您有帮助吗?
⌘I